<div class="reasonCodeGroup">
    <div class="">
        <form class="form-horizontal ng-pristine ng-valid ng-submitted">
            <div class="form-group">
                <div class="one-line-btns" ng-if="reasonCodeConfig.canEdit">
                    <button class="btn btn-primary"
                            ng-click="reasonCodeAdd()">新增</button>
                    <input type="number"
                           class="line-input"
                           ng-model="config.reasonCodeGroupRows"
                            min="1">
                    <label class="control-label">行</label>
                </div>
                
                <div class="one-line-btns">
                    <div class="checkbox checkbox-primary checkbox-inline">
                        <input type="checkbox" id="inlineCheckbox1"
                               value="option1" ng-model="config.enabled"
                                ng-change="isShowInActiveDatas()">
                        <label for="inlineCheckbox1">是否显示未被启用的数据</label>
                    </div>
                </div>  
                <div class="pull-right">
                    <button ng-if="reasonCodeConfig.canEdit" class="btn btn-primary" ng-click="saveReasonCodeGroup();">保存</button>
                </div>
            </div>
        </form>
        <div ui-grid="gridReasonCode" class="myMiddleGrid"
             ui-grid-edit ui-grid-cellnav ui-grid-auto-resize
             ui-grid-validate ui-grid-selection ui-grid-resize-columns></div>


    </div>
</div>
